DCMTK: DcmTransportLayer Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | List of all members
DcmTransportLayer Class Reference

factory class which creates transport layer connections. More...

Inheritance diagram for DcmTransportLayer:

## Public Member Functions
| DcmTransportLayer ()
| constructor.
| DcmTransportLayer (OFrvalue_ref(DcmTransportLayer) rhs)
| move constructor.
DcmTransportLayer & | operator= (OFrvalue_ref(DcmTransportLayer) rhs)
| move assignment.
virtual | ~DcmTransportLayer ()
| destructor
virtual DcmTransportConnection * | createConnection (DcmNativeSocketType openSocket, OFBool useSecureLayer)
| factory method that returns a new transport connection for the given socket.

## Private Member Functions
| DcmTransportLayer (const DcmTransportLayer &)
| private undefined copy constructor
DcmTransportLayer & | operator= (const DcmTransportLayer &)
| private undefined assignment operator

## Detailed Description

factory class which creates transport layer connections.

Base class only supports transparent TCP connections, subclasses may also support secure transport layer connections.

## Constructor & Destructor Documentation

## ◆ DcmTransportLayer()

DcmTransportLayer::DcmTransportLayer | ( | OFrvalue_ref(DcmTransportLayer) | rhs | ) |
| inline

move constructor.

Parameters

  rhs | an rvalue reference to another DcmTransportLayer object that will be moved.

References DcmTransportLayer().

## Member Function Documentation

## ◆ createConnection()

virtual DcmTransportConnection * DcmTransportLayer::createConnection | ( | DcmNativeSocketType | openSocket,
|  | OFBool | useSecureLayer )
| virtual

factory method that returns a new transport connection for the given socket.

Depending on the second parameter, either a transparent or a secure connection is established. If the object cannot be created (e. g. because no secure layer is available), returns NULL.

Parameters

  openSocket | TCP/IP socket to be used for the transport connection. the connection must already be established on socket level. If a non-null pointer is returned, the new connection object takes over control of the socket.
  useSecureLayer | if true, a secure layer is used. If false, a transparent layer is used.

Returns
  pointer to new connection object if successful, NULL otherwise.

Reimplemented in DcmTLSTransportLayer.

## ◆ operator=()

DcmTransportLayer & DcmTransportLayer::operator= | ( | OFrvalue_ref(DcmTransportLayer) | rhs | ) |
| inline

move assignment.

Parameters

  rhs | an rvalue reference to another DcmTransportLayer object that will be move assigned.

Returns
  *this.

References DcmTransportLayer().

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dcmlayer.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1